Class | ActionView::Helpers::AtomFeedHelper::AtomFeedBuilder
In: | lib/action_view/helpers/atom_feed_helper.rb
Parent: | AtomBuilder

### Methods

entry new updated

### Public Class methods

new(xml, view, feed_options = {})

### Public Instance methods

entry(record, options = {}) {|AtomBuilder.new(@xml)| ...}

Creates an entry tag for a specific record and prefills the id using class and id.

Options:

- `:published`: Time first published. Defaults to the created_at attribute on the record if one such exists.
- `:updated`: Time of update. Defaults to the updated_at attribute on the record if one such exists.
- `:url`: The URL for this entry. Defaults to the polymorphic_url for the record.
- `:id`: The ID for this entry. Defaults to "tag:#{@view.request.host},#{@feed_options[:schema_date]}:#{record.class}/#{record.id}"

updated(date_or_time = nil)

Accepts a Date or Time object and inserts it in the proper format. If nil is passed, current time in UTC is used.

[Validate]